-- NativeSpeech

-- adds "/n" and "/ny" commands that are like "/s" and "/y", but 
-- use the character's native language instead of their faction
-- language

-- Race -> Language table. Should be localization-independent.

local Languages = {
  BloodElf="",
  Dwarf="",
  Draenei="",
  Gnome="",
  Goblin="",
  Human="",
  NightElf="",
  Orc="",
  Scourge="",
  Tauren="",
  Troll="",
  Worgen=""
}

-- TODO: figure out character's native language and set
-- "MyLanguage" to it.

MyLanguage=Languages[UnitRace("player")]

DEFAULT_CHAT_FRAME:AddMessage("NativeSpeech initialized. Using language ".MyLanguage.".", 1, 1, 0)

SLASH_NATIVESAY1 = "/n"
SLASH_NATIVEYELL1 = "/ny"

SlashCmdList["NATIVESAY"] = function (args)
    SendChatMessage(args, "SAY", MyLanguage)
end

SlashCmdList["NATIVEYELL"] = function (args)
    SendChatMessage(args, "YELL", MyLanguage)
end
